Subject: [PATCH 0/6] http-push updates

From: Nick Hengeveld <[email-masked]>
Date: Fri, 10 Mar 2006 20:17:49 -0800

This series fixes a few http transport and http-push bugs, includes some
refactoring, and adds functionality to update remote server info/refs.

I'm considering future support for initializing a remote repo if the
remote url points to an empty directory and the --force arg is present.
Any thoughts?

I'm also planning to add support for using packs to send updates, and
for updating remote server objects/info/packs.  I'm not sure whether it
makes sense to always send packs or to only do so when enough objects
need to be pushed.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.